POST /auth/logout

Revokes the server-side login session bound to the bearer token, immediately invalidating its access and refresh tokens, and clears the UI session gate cookie.

Responses

  • 204

    Session revoked

  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
  • 503 application/json

    Service Unavailable

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
POST /auth/logout
curl \
 --request POST 'https://agentengine.mongodb.com/auth/logout' \
 --header "Authorization: $API_KEY"
Response examples (401)
{
  "code": "string",
  "error": "string",
  "success": true
}
Response examples (503)
{
  "code": "string",
  "error": "string",
  "success": true
}